package no.edu.esign.model.identity;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString(exclude = "password")
@Builder
public class User {
    String username;
    String password;
    String scope;

    public User() {
    }

    public User(String username, String password, String scope) {
        this.username = username;
        this.password = password;
        this.scope = scope;
    }
}
