package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString
public class ExitUrls {
    @JsonProperty("Completion")
    @NotBlank
    String completion;
    @JsonProperty("Rejection")
    @NotBlank
    String rejection;
    @JsonProperty("Error")
    @NotBlank
    String error;

    public ExitUrls() {
    }


}
