package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString
@Builder
public class RedirectUrlResponse {
    @NotBlank
    @JsonProperty("SignatureJobId")
    String updatedRedirectUrl;

    // used by jackson
    public RedirectUrlResponse() {
    }

    public RedirectUrlResponse(String updatedRedirectUrl) {
        this.updatedRedirectUrl = updatedRedirectUrl;
    }
}
