package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString
@Builder
public class StatusRequest {
    @NotBlank
    @JsonProperty("StatusQueryURL")
    private String statusQueryUrl;
    @NotBlank
    @JsonProperty("StatusQueryToken")
    private String statusQueryToken;

    public StatusRequest() {
    }

    public StatusRequest(String statusQueryUrl, String statusQueryToken) {
        this.statusQueryUrl = statusQueryUrl;
        this.statusQueryToken = statusQueryToken;
    }
}
