package no.edu.esign.model.sign;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@Builder
public class DocumentRequest {
    @JsonProperty("PadesURL")
    private String padesUrl;
    @JsonProperty("XadesURL")
    private String xadesUrl;

    public DocumentRequest() {
    }

    public DocumentRequest(String padesUrl, String xadesUrl) {
        this.padesUrl = padesUrl;
        this.xadesUrl = xadesUrl;
    }
}
