package no.edu.esign.model.sign;

    import com.fasterxml.jackson.annotation.JsonProperty;
    import lombok.Builder;
    import lombok.Getter;
    import lombok.Setter;
    import lombok.ToString;

    import javax.validation.constraints.NotBlank;

@Getter
@Setter
@ToString
@Builder
public class RedirectUrlRequest {
    @NotBlank
    @JsonProperty("SignerUrl")
    private String signerUrl;

    public RedirectUrlRequest() {
    }

    public RedirectUrlRequest(String signerUrl) {
        this.signerUrl = signerUrl;
    }
}
